PUTS(3)

NAME
puts, _puts_r - write a character string

SYNOPSIS

#include <stdio.h>

int puts(const char *s);

int _puts_r(struct _reent *reent, const char *s);

DESCRIPTION

puts writes the string at s (followed by a newline, instead of the trailing null) to the standard output stream.

The alternate function _puts_r is a reentrant version. The extra argument reent is a pointer to a reentrancy structure.

RETURNS

If successful, the result is a nonnegative integer; otherwise, the result is EOF.

PORTABILITY

ANSI C requires puts, but does not specify that the result on success must be 0; any non-negative value is permitted.

Supporting OS subroutines required: close, fstat, isatty, lseek, read, sbrk, write.